sgmlsb(1)

NAME
sgmlsb - a sample LT NSL program for quick and dirty sentence

SYNOPSIS
usage: sgmlsb [-d ddb-file] [-u base-url] [-s] [input-file]

DESCRIPTION
The material below may be out of date: consult LT XML documentation please. sgmlsb is a sample program demonstrating the use of the LT NSL API, it attempts to mark sentence boundaries on nSGML files containing words annotated by <W> elements, as produced by sgmlseg (q.v.).

DESCRIPTION: Input/Output
Description of the input/output files involved in this program.

Input ==> An nSGML file : [<filename> or stdin]

Output ==> An nSGML file : [stdout]

OPTIONS

-d <ddbfile>
    is the name of a file containing a representation of a DTD. Can be used if the DTD is not specified (in a <?NSL DDB ...> statement) in the input document iself.

SEE ALSO
ltxml(1), mknsg(1), sgmltoken(1), sgmlseg(1), sgmlsb(1)

AUTHOR
Henry Thompson (ht@cogsci.ed.ac.uk)
David McKelvie (dmck@cogsci.ed.ac.uk)
Language Technology Group, Human Communication Research Centre, Edinburgh University,
2 Buccleuch Place, Edinburgh EH8 9LW, SCOTLAND
Tel:(44) 131 650-4630
Fax:(44) 131 650-4587 email: dmck@cogsci.ed.ac.uk

Comments, suggestions, and bug reports are always welcome.